## python-pyds9 1.6

=== xpa-2.1.14/Makefile ===
#
# This file is a Makefile for XPA.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = xpa
VERSION = 2.1.14

DISTNAME = xpa-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/usr/local
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the XPA library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include file xpa.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Top-level directory for share entries:
MAN_SHARE_DIR =		$(INSTALL_ROOT)$(prefix)/share/xpa

# Platform-specific X compiler flags (include file specifications)
X_CFLAGS = 		
# Platform-specific link directive for X libraries (-L specification)
X_LIBS = 		
# Platform-specific libraries that must go before -lXt
X_PRE_LIBS = 		 -lSM -lICE
# Platform-specific libraries that must go after -lXt
X_EXTRA_LIBS = 		

# Platform-specific include files for Tcl
TCL_CFLAGS = 		
# Platform-specific libraries for Tcl
TCL_LIBS = 		

# Platform-specific include files for Gtk
GTK_CFLAGS = 		
# Platform-specific libraries for Gtk
GTK_LIBS = 		

# combine package cflags
PKG_CFLAGS =	$(X_CFLAGS) $(TCL_CFLAGS) $(GTK_CFLAGS)

# extra Libs required to link (e.g. socket libraries)
LIBS =			

# pthread lib needed to xpans
TLIB =			

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -O2 -fPIC

# To add ld switches, change the following line:
LDFLAGS =		 

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# if enabled-shared was specified, this will exand to "shlib" and trigger
# building of the shared library
DOSHARED =	shlib

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------
RM =		rm -f

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${PKG_CFLAGS} ${AC_FLAGS}

SRCS =		xpa.c xpaio.c command.c acl.c remote.c clipboard.c port.c \
		tcp.c client.c word.c xalloc.c find.c xlaunch.c timedconn.c \
		tclloop.c tcl.c xtloop.c gtkloop.c \
		xpaset.c xpaget.c xpainfo.c xpaaccess.c xpans.c xpamb.c

BASE_OBJS =	xpa.o xpaio.o command.o acl.o remote.o clipboard.o port.o \
		tcp.o client.o word.o xalloc.o find.o xlaunch.o timedconn.o

TCL_OBJS =	tclloop.o tcl.o 

XT_OBJS =	xtloop.o

GTK_OBJS =	gtkloop.o

INCL	=	xpa.h xpap.h

# these are all the modules going into the "normal" xpa library
LIBOBJS =	${BASE_OBJS} ${TCL_OBJS} ${XT_OBJS} ${GTK_OBJS}
LIB =	libxpa.a

# used in link line
# LLIB=	$(LIB)
LLIB=	$(LIB)

PROGS =		xpaset xpaget xpainfo xpaaccess xpans xpamb

TESTPROGS =	ctest stest rtest

all:		xpa.h lib $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install::	install-binaries 

install::	$(DOSHARED)_install

install::	install-man 

install::	install-share

lib:		$(LIB) $(DOSHARED)

$(LIB):		$(LIBOBJS)
		$(RM) $(LIB)
		ar crv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

shlib:		$(LIB)
		@(rm -rf lib$(PACKAGE).tmp; mkdir lib$(PACKAGE).tmp; \
		(cd lib$(PACKAGE).tmp && ar x ../lib$(PACKAGE).a); \
		rm -f lib$(PACKAGE).tmp/xt*.o; \
		rm -f lib$(PACKAGE).tmp/tcl*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o $(PACKAGE) lib$(PACKAGE).tmp/*.o; \
		rm -rf lib$(PACKAGE).tmp)

mingw-dll:	$(LIBOBJS)
		$(CC)  -I. -DHAVE_CONFIG_H -shared port.c  tcp.c acl.c find.c \
		remote.c timedconn.c client.c word.c xpaio.c clipboard.c \
		launch.c xalloc.c command.c xpa.c \
		LibMain.c  \
		-e _LibMain@12 -Wl,--image-base,0x1C000000 -o libxpa.dll \
		-luser32 -lwsock32

tclxpa:		$(LIB)
		@(rm -rf libtclxpa.tmp; mkdir libtclxpa.tmp; \
		(cd libtclxpa.tmp && ar x ../lib$(PACKAGE).a); \
		rm -f libtclxpa.tmp/xt*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o tclxpa libtclxpa.tmp/*.o $(TCL_LIBS); \
		test -r libtclxpa.dylib && cp -p libtclxpa.dylib libtclxpa.so && echo "copying libtclxpa.dylib to libtclxpa.so"; \
		rm -rf libtclxpa.tmp)

diff:
		-(for f in `ls *.c`;					\
		    do							\
			echo $$f;					\
			diff /soft/saord/xpa-2.1.[0-9]*/$$f .;		\
		    done);

index:		$(LIB)
		@(test -r pkgIndex.tcl && mv pkgIndex.tcl pkgIndex.tcl-old; \
		echo "pkg_mkIndex -direct -verbose . libtclxpa.so; exit"| tclsh)

xpaset:		$(LIB) xpaset.o
		$(CC) $(LDFLAGS) xpaset.o -o xpaset $(LLIB) $(LIBS)

xpaget:		$(LIB) xpaget.o
		$(CC) $(LDFLAGS) xpaget.o -o xpaget $(LLIB) $(LIBS)

xpainfo:	$(LIB) xpainfo.o
		$(CC) $(LDFLAGS) xpainfo.o -o xpainfo $(LLIB) $(LIBS)

xpaaccess:	$(LIB) xpaaccess.o
		$(CC) $(LDFLAGS) xpaaccess.o -o xpaaccess $(LLIB) $(LIBS)

xpans:		$(LIB) xpans.o
		$(CC) $(LDFLAGS) xpans.o -o xpans $(LLIB) $(LIBS) $(TLIB)

xpamb:		$(LIB) xpamb.o
		$(CC) $(LDFLAGS) xpamb.o -o xpamb $(LLIB) $(LIBS)

ctest:		$(LIB) ctest.o
		$(CC) $(LDFLAGS) ctest.o -o ctest $(LLIB) $(LIBS)

stest:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) $(LIBS)

rtest:		$(LIB) rtest.o
		$(CC) $(LDFLAGS) rtest.o -o rtest $(LIB) $(LIBS)

stestx:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) \
		$(X_LIBS) -lXt $(X_PRE_LIBS) -lXext -lX11 $(LIBS)

# Smoke test: allows end-users to quickly discern basic usability
smoke:  ctest stest
	./stest smoke &
	sleep 3
	./ctest -e -b -l 1000 smoke
	./xpaset -p smoke exit

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

# this nop-op gets executed if we are not building shared libraries
_install:

shlib_install:
	@-(for i in `ls *.so* *.dylib *.sl 2>/dev/null` ; \
	   do \
	   if [ -h $$i ] ; then \
		echo "Installing link $$i" ; \
		tar cf - $$i | (cd $(LIB_INSTALL_DIR); tar xf -) ; \
	   else \
		echo "Installing $$i" ; \
		$(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		chmod 555 $(LIB_INSTALL_DIR)/$$i; \
	   fi; \
	   done;)

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing $(LIB)";
	@$(INSTALL_DATA) $(LIB) $(LIB_INSTALL_DIR)/$(LIB);
	@(cd $(LIB_INSTALL_DIR); $(RANLIB) $(LIB));
	@chmod 555 $(LIB_INSTALL_DIR)/$(LIB);
	@echo "Installing xpa.h"
	@$(INSTALL_DATA) xpa.h $(INCLUDE_INSTALL_DIR)/xpa.h
	@echo "Installing prsetup.h"
	@$(INSTALL_DATA) prsetup.h $(INCLUDE_INSTALL_DIR)/prsetup.h
	@for i in $(PROGS) ; \
	    do \
	        echo "Installing $$i$(EXE)" ; \
		$(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
	    done;

install-man:
	@if [ ! -d $(MAN_INSTALL_DIR) ] ; then \
	    echo "Making directory $(MAN_INSTALL_DIR)"; \
	    mkdir $(MAN_INSTALL_DIR); \
	    chmod 755 $(MAN_INSTALL_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./man/man?/*.?` ; \
	    do \
		B=`basename $$i`; \
		E=`echo $$i | awk -F. '{print $$NF}'`; \
		M="$(MAN_INSTALL_DIR)/man$$E"; \
		if [ ! -d $$M ] ; then \
		    echo "Making directory $$M"; \
		    mkdir $$M; \
		    chmod 755 $$M; \
		    else true; \
		fi; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $$M/$$B; \
	    done;)

install-share:
	@if [ ! -d $(MAN_SHARE_DIR) ] ; then \
	    echo "Making directory $(MAN_SHARE_DIR)"; \
	    mkdir -p $(MAN_SHARE_DIR); \
	    chmod 755 $(MAN_SHARE_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./doc/sman/xpa?.*` ; \
	    do \
		B=`basename $$i`; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $(MAN_SHARE_DIR)/$$B; \
	    done;)

Makefile:	Makefile.in
		$(SHELL) config.status

clean:
		$(RM) *.a *.so *.so.* *.dylib *.o *.exe core \
			errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~ doc/*.bak man/*~
		$(RM) -r autom4te.cache a.out.dSYM

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

maintainer-clean:: clean
		$(RM) config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

acl.o:		acl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) acl.c

remote.o:	remote.c $(INCL)
		$(CC) -c $(CC_SWITCHES) remote.c

clipboard.o:	clipboard.c $(INCL)
		$(CC) -c $(CC_SWITCHES) clipboard.c

client.o:	client.c $(INCL)
		$(CC) -c $(CC_SWITCHES) client.c

command.o:	command.c $(INCL)
		$(CC) -c $(CC_SWITCHES) command.c

find.o:		find.c
		$(CC) -c $(CC_SWITCHES) find.c

xlaunch.o:	xlaunch.c
		$(CC) -c $(CC_SWITCHES) xlaunch.c

timedconn.o:	timedconn.c
		$(CC) -c $(CC_SWITCHES) timedconn.c

port.o:		port.c $(INCL)
		$(CC) -c $(CC_SWITCHES) port.c

tcl.o:		tcl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tcl.c

tclloop.o:	tclloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tclloop.c

gtkloop.o:	gtkloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(GTK_CFLAGS) gtkloop.c

tcp.o:		tcp.c
		$(CC) -c $(CC_SWITCHES) tcp.c

word.o:		word.c
		$(CC) -c $(CC_SWITCHES) word.c

xalloc.o:	xalloc.c
		$(CC) -c $(CC_SWITCHES) xalloc.c

xpa.o:		xpa.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpa.c

xpaio.o:	xpaio.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaio.c

xtloop.o:	xtloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) xtloop.c

xpaaccess.o:	xpaaccess.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaaccess.c

xpaget.o:	xpaget.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaget.c

xpainfo.o:	xpainfo.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpainfo.c

xpans.o:	xpans.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpans.c

xpamb.o:	xpamb.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpamb.c

xpaset.o:	xpaset.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaset.c

ctest.o:	ctest.c
		$(CC) -c $(CC_SWITCHES) ctest.c

stest.o:	stest.c
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) stest.c

rtest.o:	rtest.c
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) rtest.c

stestx.o:	stest.c
		$(CC) -o stest.o -c $(CC_SWITCHES) $(X_CFLAGS) \
		-DBUILD_WITH_XT stest.c

strstr.o:	./compat/strstr.c

=== xpa-2.1.14/doc/Makefile ===
#
# Makefile for misc programs, not good enough for their own directory
#

RM	= rm
RMFLAGS	= -f
MV	= mv
MVFLAGS	= -f
CP	= cp
CPFLAGS	= -p

MANDIR =	../man

all:		dirs files index hardcopy index

dirs:
		@(if [ ! -d ${MANDIR} ]; then 				\
		    mkdir ${MANDIR}; 					\
		    mkdir ${MANDIR}/man1 ${MANDIR}/man3 ${MANDIR}/mann; \
		fi)

files:
		@(for i in *.html; do \
		    echo processing $$i; \
		    ./html2man ../man < $$i; \
		done)

hardcopy:	
		html2ps -C fb -d -g -n -u -W b -x 1 -o xpa.ps help.html
		ps2pdf xpa.ps xpa.pdf


# NB: sman.conf must be copied to $HOME or else its not found ...
# we also have to figure out where swish-e is located and hardwire it
index:  szlong
	@(cd ..; MANPATH=`pwd`/man; export MANPATH; cd doc; \
	SW=`which swish-e`; \
	SZ_LONG=`./szlong`; \
	sed -e 's#@SW@#'$$SW'#g' < sman_conf.tmpl > $${HOME}/sman.conf; \
	sman-update --clearcache; \
	sman-update --verbose --index=./sman/xpa$${SZ_LONG}.index; \
	rm -f $${HOME}/sman.conf szlong)

szlong: szlong.c
	$(CC) $(CFLAGS) -o szlong szlong.c

clean:
	-$(RM) $(RMFLAGS) *.BAK *.bak *.o core errs ,* *~ *.a \
	foo* goo* tags TAGS html2ps.dbg

## python-pyds9 1.4

=== debian/changelog ===
python-pyds9 (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #679111)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 27 Jun 2012 09:40:16 +0200

=== debian/control ===
Source: python-pyds9
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0), python (>= 2.6.6-2~)
Standards-Version: 3.9.3
Homepage: http://hea-www.harvard.edu/saord/ds9/pyds9/
Vcs-Git: git://git.debian.org/git/debian-science/packages/python-pyds9.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-pyds9.git

Package: python-pyds9
Architecture: all
Depends: libxpa1, ${misc:Depends}, ${python:Depends}
Recommends: saods9, python-numpy, python-pyfits, xpa-tools
Description: Communication with the ds9 image display program
 The XPA messaging system provides seamless communication between many kinds
 of Unix programs, including Tcl/Tk programs such as ds9. The pyds9 module
 uses a Python interface to XPA to communicate with ds9. It supports
 communication with all of ds9’s XPA access points.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
    http://hea-www.harvard.edu/RD/ds9/site/Download.html \
    http://hea-www.harvard.edu/saord/download/ds9/python/pyds9-(.*)\.tar\.gz \
    debian \
    uupdate

## python-pyds9 1.6

=== debian/changelog ===
python-pyds9 (1.6-1) unstable; urgency=low

  * Change distribution to unstable

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 24 Apr 2013 18:35:49 +0200

python-pyds9 (1.6-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 18 Feb 2013 10:05:34 +0100

## python-pyds9 1.7

=== debian/changelog ===
python-pyds9 (1.7-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 29 Jul 2013 12:05:17 +0200

=== debian/control ===
Source: python-pyds9
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 8.0), python (>= 2.6.6-2~)
Standards-Version: 3.9.4
Homepage: http://hea-www.harvard.edu/saord/ds9/pyds9/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-pyds9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-pyds9.git

Package: python-pyds9
Architecture: all
Depends: libxpa1, ${misc:Depends}, ${python:Depends}
Recommends: saods9, python-numpy, python-astropy, xpa-tools
Description: Communication with the ds9 image display program
 The XPA messaging system provides seamless communication between many kinds
 of Unix programs, including Tcl/Tk programs such as ds9. The pyds9 module
 uses a Python interface to XPA to communicate with ds9. It supports
 communication with all of ds9’s XPA access points.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs changelog

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
    http://hea-www.harvard.edu/RD/ds9/site/Download.html \
    http://hea-www.harvard.edu/.+/pyds9-(.*)\.tar\.gz \
    debian \
    uupdate

## python-pyds9 1.8.1

=== Makefile ===
# Makefile for Sphinx documentation
# with additions for building pyds9
#
VERSION	      = 1.8

PYDS9	      = /proj/rd/www/pyds9
FTP	      = /proj/rd/ftp
TAR	      = pyds9-$(VERSION).tar.gz

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = $$HOME/python/bin/sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

# When changing documentation using sphinx-build:
#   documentation params are in conf.py (e.g. release version)
#   documentation markup is index.rst
# When making a new release, change version in setup.py and ds9.py

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  install   to install pyds9"
	@echo "  sdist     to make pyds9 source tar file"
	@echo "  html      to make standalone HTML files"
	@echo "  intallhtml to install HTML files in /proj/rd/www/ds9"
	@echo "  release   to run install, sdist, html, and installhtml"
	@echo "  -------------------- not used ------------------------"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

bclean:
	@rm -rf _build/*

clean:
	@(rm -f *~ foo*; cd xpa && make clean && cd ..;)	

release: clean install sdist html installhtml ftp

install:
	@python setup.py install --prefix=$$HOME/python

sdist:
	@python setup.py sdist

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

installhtml:
	@(echo skip rm -rf $(PYDS9);				\
	  mkdir -p $(PYDS9);  					\
	  chmod g+s $(PYDS9);  					\
	  cd _build/html;					\
	  tar cf - . | (cd $(PYDS9); tar xf -);			\
	)

ftp:
	@(cp -p dist/$(TAR) $(FTP);				\
	  chmod 444 dist/$(TAR)					\
	)

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/pyds9.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/pyds9.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== xpa/Makefile ===
#
# This file is a Makefile for XPA.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = xpa
VERSION = 2.1.15

DISTNAME = xpa-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/usr/local
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the XPA library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include file xpa.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Top-level directory for share entries:
MAN_SHARE_DIR =		$(INSTALL_ROOT)$(prefix)/share/xpa

# Platform-specific X compiler flags (include file specifications)
X_CFLAGS = 		
# Platform-specific link directive for X libraries (-L specification)
X_LIBS = 		
# Platform-specific libraries that must go before -lXt
X_PRE_LIBS = 		 -lSM -lICE
# Platform-specific libraries that must go after -lXt
X_EXTRA_LIBS = 		

# Platform-specific include files for Tcl
TCL_CFLAGS = 		
# Platform-specific libraries for Tcl
TCL_LIBS = 		

# Platform-specific include files for Gtk
GTK_CFLAGS = 		
# Platform-specific libraries for Gtk
GTK_LIBS = 		

# combine package cflags
PKG_CFLAGS =	$(X_CFLAGS) $(TCL_CFLAGS) $(GTK_CFLAGS)

# extra Libs required to link (e.g. socket libraries)
LIBS =			

# pthread lib needed to xpans
TLIB =			

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -O2 -fPIC

# To add ld switches, change the following line:
LDFLAGS =		 

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# if enabled-shared was specified, this will exand to "shlib" and trigger
# building of the shared library
DOSHARED =	shlib

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------
RM =		rm -f

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${PKG_CFLAGS} ${AC_FLAGS}

SRCS =		xpa.c xpaio.c command.c acl.c remote.c clipboard.c port.c \
		tcp.c client.c word.c xalloc.c find.c xlaunch.c timedconn.c \
		tclloop.c tcl.c xtloop.c gtkloop.c \
		xpaset.c xpaget.c xpainfo.c xpaaccess.c xpans.c xpamb.c

BASE_OBJS =	xpa.o xpaio.o command.o acl.o remote.o clipboard.o port.o \
		tcp.o client.o word.o xalloc.o find.o xlaunch.o timedconn.o

TCL_OBJS =	tclloop.o tcl.o 

XT_OBJS =	xtloop.o

GTK_OBJS =	gtkloop.o

INCL	=	xpa.h xpap.h

# these are all the modules going into the "normal" xpa library
LIBOBJS =	${BASE_OBJS} ${TCL_OBJS} ${XT_OBJS} ${GTK_OBJS}
LIB =	libxpa.a

# used in link line
# LLIB=	$(LIB)
LLIB=	$(LIB)

PROGS =		xpaset xpaget xpainfo xpaaccess xpans xpamb

TESTPROGS =	ctest stest rtest

all:		xpa.h lib $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install::	install-binaries 

install::	$(DOSHARED)_install

install::	install-man 

install::	install-share

lib:		$(LIB) $(DOSHARED)

$(LIB):		$(LIBOBJS)
		$(RM) $(LIB)
		ar crv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

shlib:		$(LIB)
		@(rm -rf lib$(PACKAGE).tmp; mkdir lib$(PACKAGE).tmp; \
		(cd lib$(PACKAGE).tmp && ar x ../lib$(PACKAGE).a); \
		rm -f lib$(PACKAGE).tmp/xt*.o; \
		rm -f lib$(PACKAGE).tmp/tcl*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o $(PACKAGE) lib$(PACKAGE).tmp/*.o; \
		rm -rf lib$(PACKAGE).tmp)

mingw-dll:	$(LIBOBJS)
		$(CC)  -I. -DHAVE_CONFIG_H -shared port.c  tcp.c acl.c find.c \
		remote.c timedconn.c client.c word.c xpaio.c clipboard.c \
		xlaunch.c xalloc.c command.c xpa.c \
		-Wl,--output-def,libxpa.def,--out-implib,libxpa_dll.a,-no-undefined,--enable-runtime-pseudo-reloc -o libxpa.dll \
		-lwsock32

tclxpa:		$(LIB)
		@(rm -rf libtclxpa.tmp; mkdir libtclxpa.tmp; \
		(cd libtclxpa.tmp && ar x ../lib$(PACKAGE).a); \
		rm -f libtclxpa.tmp/xt*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o tclxpa libtclxpa.tmp/*.o $(TCL_LIBS); \
		test -r libtclxpa.dylib && cp -p libtclxpa.dylib libtclxpa.so && echo "copying libtclxpa.dylib to libtclxpa.so"; \
		rm -rf libtclxpa.tmp)

diff:
		-(for f in `ls *.c`;					\
		    do							\
			echo $$f;					\
			diff /soft/saord/xpa-2.1.[0-9]*/$$f .;		\
		    done);

index:		$(LIB)
		@(test -r pkgIndex.tcl && mv pkgIndex.tcl pkgIndex.tcl-old; \
		echo "pkg_mkIndex -direct -verbose . libtclxpa.so; exit"| tclsh)

xpaset:		$(LIB) xpaset.o
		$(CC) $(LDFLAGS) xpaset.o -o xpaset $(LLIB) $(LIBS)

xpaget:		$(LIB) xpaget.o
		$(CC) $(LDFLAGS) xpaget.o -o xpaget $(LLIB) $(LIBS)

xpainfo:	$(LIB) xpainfo.o
		$(CC) $(LDFLAGS) xpainfo.o -o xpainfo $(LLIB) $(LIBS)

xpaaccess:	$(LIB) xpaaccess.o
		$(CC) $(LDFLAGS) xpaaccess.o -o xpaaccess $(LLIB) $(LIBS)

xpans:		$(LIB) xpans.o
		$(CC) $(LDFLAGS) xpans.o -o xpans $(LLIB) $(LIBS) $(TLIB)

xpamb:		$(LIB) xpamb.o
		$(CC) $(LDFLAGS) xpamb.o -o xpamb $(LLIB) $(LIBS)

ctest:		$(LIB) ctest.o
		$(CC) $(LDFLAGS) ctest.o -o ctest $(LLIB) $(LIBS)

stest:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) $(LIBS)

rtest:		$(LIB) rtest.o
		$(CC) $(LDFLAGS) rtest.o -o rtest $(LIB) $(LIBS)

stestx:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) \
		$(X_LIBS) -lXt $(X_PRE_LIBS) -lXext -lX11 $(LIBS)

# Smoke test: allows end-users to quickly discern basic usability
smoke:  ctest stest
	./stest smoke &
	sleep 3
	./ctest -e -b -l 1000 smoke
	./xpaset -p smoke exit

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

# this nop-op gets executed if we are not building shared libraries
_install:

shlib_install:
	@-(for i in `ls *.so* *.dylib *.sl 2>/dev/null` ; \
	   do \
	   if [ -h $$i ] ; then \
		echo "Installing link $$i" ; \
		tar cf - $$i | (cd $(LIB_INSTALL_DIR); tar xf -) ; \
	   else \
		echo "Installing $$i" ; \
		$(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		chmod 555 $(LIB_INSTALL_DIR)/$$i; \
	   fi; \
	   done;)

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing $(LIB)";
	@$(INSTALL_DATA) $(LIB) $(LIB_INSTALL_DIR)/$(LIB);
	@(cd $(LIB_INSTALL_DIR); $(RANLIB) $(LIB));
	@chmod 555 $(LIB_INSTALL_DIR)/$(LIB);
	@echo "Installing xpa.h"
	@$(INSTALL_DATA) xpa.h $(INCLUDE_INSTALL_DIR)/xpa.h
	@echo "Installing prsetup.h"
	@$(INSTALL_DATA) prsetup.h $(INCLUDE_INSTALL_DIR)/prsetup.h
	@for i in $(PROGS) ; \
	    do \
	        echo "Installing $$i$(EXE)" ; \
		$(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
	    done;

install-man:
	@if [ ! -d $(MAN_INSTALL_DIR) ] ; then \
	    echo "Making directory $(MAN_INSTALL_DIR)"; \
	    mkdir $(MAN_INSTALL_DIR); \
	    chmod 755 $(MAN_INSTALL_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./man/man?/*.?` ; \
	    do \
		B=`basename $$i`; \
		E=`echo $$i | awk -F. '{print $$NF}'`; \
		M="$(MAN_INSTALL_DIR)/man$$E"; \
		if [ ! -d $$M ] ; then \
		    echo "Making directory $$M"; \
		    mkdir $$M; \
		    chmod 755 $$M; \
		    else true; \
		fi; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $$M/$$B; \
	    done;)

install-share:
	@if [ ! -d $(MAN_SHARE_DIR) ] ; then \
	    echo "Making directory $(MAN_SHARE_DIR)"; \
	    mkdir -p $(MAN_SHARE_DIR); \
	    chmod 755 $(MAN_SHARE_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./doc/sman/xpa?.*` ; \
	    do \
		B=`basename $$i`; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $(MAN_SHARE_DIR)/$$B; \
	    done;)

Makefile:	Makefile.in
		$(SHELL) config.status

clean:
		$(RM) *.a *.so *.so.* *.dylib *.o *.exe core \
			errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~ doc/*.bak man/*~
		$(RM) -r autom4te.cache a.out.dSYM

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

maintainer-clean:: clean
		$(RM) config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

acl.o:		acl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) acl.c

remote.o:	remote.c $(INCL)
		$(CC) -c $(CC_SWITCHES) remote.c

clipboard.o:	clipboard.c $(INCL)
		$(CC) -c $(CC_SWITCHES) clipboard.c

client.o:	client.c $(INCL)
		$(CC) -c $(CC_SWITCHES) client.c

command.o:	command.c $(INCL)
		$(CC) -c $(CC_SWITCHES) command.c

find.o:		find.c
		$(CC) -c $(CC_SWITCHES) find.c

xlaunch.o:	xlaunch.c
		$(CC) -c $(CC_SWITCHES) xlaunch.c

timedconn.o:	timedconn.c
		$(CC) -c $(CC_SWITCHES) timedconn.c

port.o:		port.c $(INCL)
		$(CC) -c $(CC_SWITCHES) port.c

tcl.o:		tcl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tcl.c

tclloop.o:	tclloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tclloop.c

gtkloop.o:	gtkloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(GTK_CFLAGS) gtkloop.c

tcp.o:		tcp.c
		$(CC) -c $(CC_SWITCHES) tcp.c

word.o:		word.c
		$(CC) -c $(CC_SWITCHES) word.c

xalloc.o:	xalloc.c
		$(CC) -c $(CC_SWITCHES) xalloc.c

xpa.o:		xpa.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpa.c

xpaio.o:	xpaio.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaio.c

xtloop.o:	xtloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) xtloop.c

xpaaccess.o:	xpaaccess.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaaccess.c

xpaget.o:	xpaget.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaget.c

xpainfo.o:	xpainfo.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpainfo.c

xpans.o:	xpans.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpans.c

xpamb.o:	xpamb.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpamb.c

xpaset.o:	xpaset.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaset.c

ctest.o:	ctest.c
		$(CC) -c $(CC_SWITCHES) ctest.c

stest.o:	stest.c
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) stest.c

rtest.o:	rtest.c
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) rtest.c

stestx.o:	stest.c
		$(CC) -o stest.o -c $(CC_SWITCHES) $(X_CFLAGS) \
		-DBUILD_WITH_XT stest.c

=== debian/changelog ===
python-pyds9 (1.8.1-5) unstable; urgency=low

  * Replace find_executable (not existing anymore) with shutil.which

 -- Ole Streicher <olebole@debian.org>  Mon, 17 Dec 2018 16:37:18 +0100

python-pyds9 (1.8.1-4) unstable; urgency=low

  * Fix Python 3 compatibility of CI test

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Dec 2018 13:01:28 +0100

python-pyds9 (1.8.1-3) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Dec 2018 13:49:53 +0100

python-pyds9 (1.8.1-2) unstable; urgency=medium

  * Add Bug-Db and Repository to d/u/metadata
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.2.0. Change URLs to https
  * Push compat to 11
  * Depend python3-pyds9 on python3-six, not python-six

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Aug 2018 08:55:21 +0200

python-pyds9 (1.8.1-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Jan 2016 09:46:41 +0100

python-pyds9 (1.8-2) unstable; urgency=low

  * Add python-six to dependencies to fix CI failure

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Nov 2015 10:28:18 +0100

python-pyds9 (1.8-1) unstable; urgency=low

  * New upstream version
  * Add Python-3 package

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Oct 2015 12:27:47 +0200

python-pyds9 (1.7-4) unstable; urgency=low

  * Add astropy dependency to CI test

 -- Ole Streicher <olebole@debian.org>  Thu, 28 May 2015 15:31:47 +0200

python-pyds9 (1.7-3) unstable; urgency=low

  * Correct dependency of CI test
  * Make xpa-tools a strong dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 20 May 2015 08:58:24 +0200

python-pyds9 (1.7-2) unstable; urgency=low

  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Change maintainer and VCS location to debian-astro
  * Add CI tests.

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:22:27 +0200

=== debian/control ===
Source: python-pyds9
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-six
Standards-Version: 4.2.1
Homepage: https://github.com/ericmandel/pyds9
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-pyds9.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-pyds9

Package: python3-pyds9
Architecture: all
Depends: python3-six,
         xpa-tools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-astropy, python3-numpy, saods9
Description: Communication with the ds9 image display program from Python
 The XPA messaging system provides seamless communication between many kinds
 of Unix programs, including Tcl/Tk programs such as ds9. The pyds9 module
 uses a Python interface to XPA to communicate with ds9. It supports
 communication with all of ds9’s XPA access points.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME = pyds9

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs changelog

=== debian/tests/control ===
Tests: pyds9-test
Depends: python3-astropy, python3-pyds9, saods9, xauth, xpa-tools, xvfb

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyds9-$1\.tar\.gz/ \
  https://github.com/ericmandel/pyds9/tags .*/v?(\d\S*)\.tar\.gz
